From 4c9e7edb8fb6f5dded1968a81de856dc5d804d48 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@gmail.com>
Date: Jun 26 2024 01:07:26 +0000
Subject: [PATCH 201/220] fix: macro in comment


Signed-off-by: Ryan Brue <ryanbrue@gmail.com>

---

diff --git a/rpms/cosmic-app-library/cosmic-app-library.spec b/rpms/cosmic-app-library/cosmic-app-library.spec
index abf0b1f..cb7c2f6 100644
--- a/rpms/cosmic-app-library/cosmic-app-library.spec
+++ b/rpms/cosmic-app-library/cosmic-app-library.spec
@@ -71,11 +71,11 @@ Requires:       hicolor-icon-theme
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  # If it exists, append the contents of %%{SOURCE2} to .cargo/config.toml
   cat %{SOURCE2} >> .cargo/config.toml
   echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  # If it does not exist, append the contents of %%{SOURCE2} to .cargo/config
   cat %{SOURCE2} >> .cargo/config
   echo "Appended %{SOURCE2} to .cargo/config"
 fi
diff --git a/rpms/cosmic-applets/cosmic-applets.spec b/rpms/cosmic-applets/cosmic-applets.spec
index ffba568..6af5bcf 100644
--- a/rpms/cosmic-applets/cosmic-applets.spec
+++ b/rpms/cosmic-applets/cosmic-applets.spec
@@ -77,11 +77,11 @@ Requires:       hicolor-icon-theme
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  # If it exists, append the contents of %%{SOURCE2} to .cargo/config.toml
   cat %{SOURCE2} >> .cargo/config.toml
   echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  # If it does not exist, append the contents of %%{SOURCE2} to .cargo/config
   cat %{SOURCE2} >> .cargo/config
   echo "Appended %{SOURCE2} to .cargo/config"
 fi
diff --git a/rpms/cosmic-bg/cosmic-bg.spec b/rpms/cosmic-bg/cosmic-bg.spec
index 2994065..325be8d 100644
--- a/rpms/cosmic-bg/cosmic-bg.spec
+++ b/rpms/cosmic-bg/cosmic-bg.spec
@@ -62,11 +62,11 @@ Requires:       hicolor-icon-theme
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  # If it exists, append the contents of %%{SOURCE2} to .cargo/config.toml
   cat %{SOURCE2} >> .cargo/config.toml
   echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  # If it does not exist, append the contents of %%{SOURCE2} to .cargo/config
   cat %{SOURCE2} >> .cargo/config
   echo "Appended %{SOURCE2} to .cargo/config"
 fi
diff --git a/rpms/cosmic-comp/cosmic-comp.spec b/rpms/cosmic-comp/cosmic-comp.spec
index 3c67b14..fa5868d 100644
--- a/rpms/cosmic-comp/cosmic-comp.spec
+++ b/rpms/cosmic-comp/cosmic-comp.spec
@@ -79,11 +79,11 @@ Recommends:     cosmic-session
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  # If it exists, append the contents of %%{SOURCE2} to .cargo/config.toml
   cat %{SOURCE2} >> .cargo/config.toml
   echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  # If it does not exist, append the contents of %%{SOURCE2} to .cargo/config
   cat %{SOURCE2} >> .cargo/config
   echo "Appended %{SOURCE2} to .cargo/config"
 fi
diff --git a/rpms/cosmic-edit/cosmic-edit.spec b/rpms/cosmic-edit/cosmic-edit.spec
index 0541b7b..8a92d69 100644
--- a/rpms/cosmic-edit/cosmic-edit.spec
+++ b/rpms/cosmic-edit/cosmic-edit.spec
@@ -74,11 +74,11 @@ Requires:       hicolor-icon-theme
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  # If it exists, append the contents of %%{SOURCE2} to .cargo/config.toml
   cat %{SOURCE2} >> .cargo/config.toml
   echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  # If it does not exist, append the contents of %%{SOURCE2} to .cargo/config
   cat %{SOURCE2} >> .cargo/config
   echo "Appended %{SOURCE2} to .cargo/config"
 fi
diff --git a/rpms/cosmic-files/cosmic-files.spec b/rpms/cosmic-files/cosmic-files.spec
index 4ec237f..af20823 100644
--- a/rpms/cosmic-files/cosmic-files.spec
+++ b/rpms/cosmic-files/cosmic-files.spec
@@ -76,11 +76,11 @@ Requires:       hicolor-icon-theme
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  # If it exists, append the contents of %%{SOURCE2} to .cargo/config.toml
   cat %{SOURCE2} >> .cargo/config.toml
   echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  # If it does not exist, append the contents of %%{SOURCE2} to .cargo/config
   cat %{SOURCE2} >> .cargo/config
   echo "Appended %{SOURCE2} to .cargo/config"
 fi
diff --git a/rpms/cosmic-greeter/cosmic-greeter.spec b/rpms/cosmic-greeter/cosmic-greeter.spec
index 9f5e83b..d370053 100644
--- a/rpms/cosmic-greeter/cosmic-greeter.spec
+++ b/rpms/cosmic-greeter/cosmic-greeter.spec
@@ -83,11 +83,11 @@ Requires:       cosmic-comp
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  # If it exists, append the contents of %%{SOURCE2} to .cargo/config.toml
   cat %{SOURCE2} >> .cargo/config.toml
   echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  # If it does not exist, append the contents of %%{SOURCE2} to .cargo/config
   cat %{SOURCE2} >> .cargo/config
   echo "Appended %{SOURCE2} to .cargo/config"
 fi
diff --git a/rpms/cosmic-launcher/cosmic-launcher.spec b/rpms/cosmic-launcher/cosmic-launcher.spec
index 8bbf4c2..b80a075 100644
--- a/rpms/cosmic-launcher/cosmic-launcher.spec
+++ b/rpms/cosmic-launcher/cosmic-launcher.spec
@@ -75,11 +75,11 @@ Requires:       hicolor-icon-theme
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  # If it exists, append the contents of %%{SOURCE2} to .cargo/config.toml
   cat %{SOURCE2} >> .cargo/config.toml
   echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  # If it does not exist, append the contents of %%{SOURCE2} to .cargo/config
   cat %{SOURCE2} >> .cargo/config
   echo "Appended %{SOURCE2} to .cargo/config"
 fi
diff --git a/rpms/cosmic-notifications/cosmic-notifications.spec b/rpms/cosmic-notifications/cosmic-notifications.spec
index f7ef813..1fc9f6a 100644
--- a/rpms/cosmic-notifications/cosmic-notifications.spec
+++ b/rpms/cosmic-notifications/cosmic-notifications.spec
@@ -69,11 +69,11 @@ Requires:       hicolor-icon-theme
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  # If it exists, append the contents of %%{SOURCE2} to .cargo/config.toml
   cat %{SOURCE2} >> .cargo/config.toml
   echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  # If it does not exist, append the contents of %%{SOURCE2} to .cargo/config
   cat %{SOURCE2} >> .cargo/config
   echo "Appended %{SOURCE2} to .cargo/config"
 fi
diff --git a/rpms/cosmic-osd/cosmic-osd.spec b/rpms/cosmic-osd/cosmic-osd.spec
index 393bd4b..fbce8b5 100644
--- a/rpms/cosmic-osd/cosmic-osd.spec
+++ b/rpms/cosmic-osd/cosmic-osd.spec
@@ -72,11 +72,11 @@ BuildRequires:  make
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  # If it exists, append the contents of %%{SOURCE2} to .cargo/config.toml
   cat %{SOURCE2} >> .cargo/config.toml
   echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  # If it does not exist, append the contents of %%{SOURCE2} to .cargo/config
   cat %{SOURCE2} >> .cargo/config
   echo "Appended %{SOURCE2} to .cargo/config"
 fi
diff --git a/rpms/cosmic-panel/cosmic-panel.spec b/rpms/cosmic-panel/cosmic-panel.spec
index 559bda8..28507fb 100644
--- a/rpms/cosmic-panel/cosmic-panel.spec
+++ b/rpms/cosmic-panel/cosmic-panel.spec
@@ -64,11 +64,11 @@ BuildRequires:  just
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  # If it exists, append the contents of %%{SOURCE2} to .cargo/config.toml
   cat %{SOURCE2} >> .cargo/config.toml
   echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  # If it does not exist, append the contents of %%{SOURCE2} to .cargo/config
   cat %{SOURCE2} >> .cargo/config
   echo "Appended %{SOURCE2} to .cargo/config"
 fi
diff --git a/rpms/cosmic-randr/cosmic-randr.spec b/rpms/cosmic-randr/cosmic-randr.spec
index 2cbb6ee..d6c389c 100644
--- a/rpms/cosmic-randr/cosmic-randr.spec
+++ b/rpms/cosmic-randr/cosmic-randr.spec
@@ -55,11 +55,11 @@ Cosmic-randr command line interface.}
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  # If it exists, append the contents of %%{SOURCE2} to .cargo/config.toml
   cat %{SOURCE2} >> .cargo/config.toml
   echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  # If it does not exist, append the contents of %%{SOURCE2} to .cargo/config
   cat %{SOURCE2} >> .cargo/config
   echo "Appended %{SOURCE2} to .cargo/config"
 fi
diff --git a/rpms/cosmic-screenshot/cosmic-screenshot.spec b/rpms/cosmic-screenshot/cosmic-screenshot.spec
index 22a21a5..ffcd154 100644
--- a/rpms/cosmic-screenshot/cosmic-screenshot.spec
+++ b/rpms/cosmic-screenshot/cosmic-screenshot.spec
@@ -58,11 +58,11 @@ BuildRequires:  just
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  # If it exists, append the contents of %%{SOURCE2} to .cargo/config.toml
   cat %{SOURCE2} >> .cargo/config.toml
   echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  # If it does not exist, append the contents of %%{SOURCE2} to .cargo/config
   cat %{SOURCE2} >> .cargo/config
   echo "Appended %{SOURCE2} to .cargo/config"
 fi
diff --git a/rpms/cosmic-session/cosmic-session.spec b/rpms/cosmic-session/cosmic-session.spec
index 1ab47e6..d364b39 100644
--- a/rpms/cosmic-session/cosmic-session.spec
+++ b/rpms/cosmic-session/cosmic-session.spec
@@ -84,11 +84,11 @@ The session manager for the COSMIC desktop environment.}
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  # If it exists, append the contents of %%{SOURCE2} to .cargo/config.toml
   cat %{SOURCE2} >> .cargo/config.toml
   echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  # If it does not exist, append the contents of %%{SOURCE2} to .cargo/config
   cat %{SOURCE2} >> .cargo/config
   echo "Appended %{SOURCE2} to .cargo/config"
 fi
diff --git a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
index f1dff95..0850b8a 100644
--- a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
+++ b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
@@ -77,11 +77,11 @@ Requires:       adw-gtk3-theme
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  # If it exists, append the contents of %%{SOURCE2} to .cargo/config.toml
   cat %{SOURCE2} >> .cargo/config.toml
   echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  # If it does not exist, append the contents of %%{SOURCE2} to .cargo/config
   cat %{SOURCE2} >> .cargo/config
   echo "Appended %{SOURCE2} to .cargo/config"
 fi
diff --git a/rpms/cosmic-settings/cosmic-settings.spec b/rpms/cosmic-settings/cosmic-settings.spec
index b29c480..131452a 100644
--- a/rpms/cosmic-settings/cosmic-settings.spec
+++ b/rpms/cosmic-settings/cosmic-settings.spec
@@ -74,11 +74,11 @@ Requires:       hicolor-icon-theme
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  # If it exists, append the contents of %%{SOURCE2} to .cargo/config.toml
   cat %{SOURCE2} >> .cargo/config.toml
   echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  # If it does not exist, append the contents of %%{SOURCE2} to .cargo/config
   cat %{SOURCE2} >> .cargo/config
   echo "Appended %{SOURCE2} to .cargo/config"
 fi
diff --git a/rpms/cosmic-store/cosmic-store.spec b/rpms/cosmic-store/cosmic-store.spec
index 6d642a7..fddeeb0 100644
--- a/rpms/cosmic-store/cosmic-store.spec
+++ b/rpms/cosmic-store/cosmic-store.spec
@@ -73,11 +73,11 @@ Requires:       hicolor-icon-theme
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  # If it exists, append the contents of %%{SOURCE2} to .cargo/config.toml
   cat %{SOURCE2} >> .cargo/config.toml
   echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  # If it does not exist, append the contents of %%{SOURCE2} to .cargo/config
   cat %{SOURCE2} >> .cargo/config
   echo "Appended %{SOURCE2} to .cargo/config"
 fi
diff --git a/rpms/cosmic-term/cosmic-term.spec b/rpms/cosmic-term/cosmic-term.spec
index 0fdcd63..5c21628 100644
--- a/rpms/cosmic-term/cosmic-term.spec
+++ b/rpms/cosmic-term/cosmic-term.spec
@@ -73,11 +73,11 @@ Requires:       hicolor-icon-theme
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  # If it exists, append the contents of %%{SOURCE2} to .cargo/config.toml
   cat %{SOURCE2} >> .cargo/config.toml
   echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  # If it does not exist, append the contents of %%{SOURCE2} to .cargo/config
   cat %{SOURCE2} >> .cargo/config
   echo "Appended %{SOURCE2} to .cargo/config"
 fi
diff --git a/rpms/cosmic-workspaces/cosmic-workspaces.spec b/rpms/cosmic-workspaces/cosmic-workspaces.spec
index d0ee73f..5dcf3ff 100644
--- a/rpms/cosmic-workspaces/cosmic-workspaces.spec
+++ b/rpms/cosmic-workspaces/cosmic-workspaces.spec
@@ -78,11 +78,11 @@ Requires:       hicolor-icon-theme
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  # If it exists, append the contents of %%{SOURCE2} to .cargo/config.toml
   cat %{SOURCE2} >> .cargo/config.toml
   echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  # If it does not exist, append the contents of %%{SOURCE2} to .cargo/config
   cat %{SOURCE2} >> .cargo/config
   echo "Appended %{SOURCE2} to .cargo/config"
 fi
diff --git a/rpms/pop-launcher/pop-launcher.spec b/rpms/pop-launcher/pop-launcher.spec
index fd194d9..526909a 100644
--- a/rpms/pop-launcher/pop-launcher.spec
+++ b/rpms/pop-launcher/pop-launcher.spec
@@ -70,11 +70,11 @@ Requires:       fd-find
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  # If it exists, append the contents of %%{SOURCE2} to .cargo/config.toml
   cat %{SOURCE2} >> .cargo/config.toml
   echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  # If it does not exist, append the contents of %%{SOURCE2} to .cargo/config
   cat %{SOURCE2} >> .cargo/config
   echo "Appended %{SOURCE2} to .cargo/config"
 fi
diff --git a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
index cc8c576..e3ac099 100644
--- a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
+++ b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
@@ -78,11 +78,11 @@ Requires:       hicolor-icon-theme
 %cargo_prep -N
 # Check if .cargo/config.toml exists
 if [ -f .cargo/config.toml ]; then
-  # If it exists, append the contents of %{SOURCE2} to .cargo/config.toml
+  # If it exists, append the contents of %%{SOURCE2} to .cargo/config.toml
   cat %{SOURCE2} >> .cargo/config.toml
   echo "Appended %{SOURCE2} to .cargo/config.toml"
 else
-  # If it does not exist, append the contents of %{SOURCE2} to .cargo/config
+  # If it does not exist, append the contents of %%{SOURCE2} to .cargo/config
   cat %{SOURCE2} >> .cargo/config
   echo "Appended %{SOURCE2} to .cargo/config"
 fi

